$(document).ready(function() {

    if (!isCookieEnabled()) {
        $("#floatingBanner").show();
        $("#cookiesAgreement").hide();
        $("#header").css('margin-top', '31px');
    } else {
        checkCookiesAgreement();
    }

    $("#cookiesAgreement .btn.btn-agree").click(function() {
        $.cookie("cookiesAgreement", true, {
            expires: 365,
            path: '/'
        });
        checkCookiesAgreement();
    });

    $("#category-tabs div.tab a").click(switch_category_tabs);
    $("div.filters fieldset legend").click(show_filter_form);
    $("div.parameters input.param").click(show_price_param);

    $(".chose_mode").click(hide_user_reg_form);
    hide_user_reg_form();
    //$(".chose_mode").trigger('click');

    $(".delivery_chose").click(hide_d_address_form);
    hide_d_address_form();
    //$(".delivery_chose").trigger('change');

    $(".billing_chose").click(hide_b_address_form);
    hide_b_address_form();
    $(".billing_chose").trigger('change');

    set_up_order_steps();
    hide_producers_filter();

    //Make JS tabs from structure with class tabs
    $(".tabs").tabs({
        event: 'click',
        selected: 0
    });

    //Make sure breadcrumb fits in reserved space
    var i = 1;
    var title = $('#bc-navigation strong').html();
    var sirka = $('#under-menu').width() - ($('#category-tabs').width() + parseInt($('#bc-navigation').css("padding-left"), 10) + parseInt($('#bc-navigation').css("padding-right"), 10));

    while ($('#bc-navigation').width() > sirka) {
        if (i <= $('#bc-navigation').children().length) {
            $('#bc-navigation a:nth-child(' + (i) + ')').attr('title', $('#bc-navigation a:nth-child(' + (i) + ')').html());
            $('#bc-navigation a:nth-child(' + (i) + ')').html('...');
        } else if (title.length - i > 0) {
            $('#bc-navigation strong').html(title.substring(0, title.length - i) + '...');
        } else {
            // emergency exit
            $('#bc-navigation').width(sirka);
        }
        i = i + 1;
    }

    // All elemnts with this class submit form in change state
    $(".auto_submit").change(function() {
            $(this).parents('form').submit();

        })
        //LightBox for all link with target image
    $('a[href$="jpg"], a[href$="jpeg"], a[href$="gif"], a[href$="png"], a[href$="JPG"], a[href$="JPEG"], a[href$="GIF"], a[href$="PNG"]').fancybox();

    var cookieEnabled = navigator.cookieEnabled;
    if (typeof navigator.cookieEnabled == "undefined" && !cookieEnabled) {
        document.cookie = "testcookie";
        cookieEnabled = (document.cookie.indexOf("testcookie") != -1);
    }
    if (!cookieEnabled) {
        $("#header").css("top", "31px");
        $("#middle-content").css("top", "31px");
        $("#footer").css("margin-top", "31px");
    }

    var highestBox = 0;
    $('.product-list .product-box').each(function() {
        if ($(this).height() > highestBox)
            highestBox = $(this).height();
    });
    $('.product-list .product-box').height(highestBox);

});

function isCookieEnabled() {
    if (navigator.cookieEnabled) return true;
    document.cookie = "cookietest=1";
    var ret = document.cookie.indexOf("cookietest=") != -1;
    document.cookie = "cookietest=1; expires=Thu, 01-Jan-1970 00:00:01 GMT";
    return ret;
}

function checkCookiesAgreement() {
    if (($.cookie('cookiesAgreement') === null || !$.cookie('cookiesAgreement')) && isCookieEnabled()) {
        $("#cookiesAgreement").show();
        return false;
    } else {
        $("#cookiesAgreement").hide();
        return true;
    }
}

/**
 * Method to hide/show some elements in order step3 registration form
 */
function hide_d_address_form() {
    var target = $(".delivery_chose:checked");
    var tr = target.parents('tr');

    //alert(target.val());

    switch (target.val()) {
        case 'exist_address':
            tr.nextAll(':lt(1)').show();
            tr.nextAll(':gt(0)').hide();
            break;
        case 'new_address':
            tr.nextAll(':lt(1)').hide();
            tr.nextAll(':gt(0)').show();
            break;
    }

}

/**
 * Method to hide/show some elements in order step3 registration form
 */
function hide_b_address_form() {
    var target = $(".billing_chose:checked");

    var tr = target.parents('tr');

    switch (target.val()) {
        case 'same_delivery':
            tr.nextAll().hide();
            break;
        case 'exist_address':
            tr.nextAll(':lt(1)').show();
            tr.nextAll(':gt(0)').hide();
            break;
        case 'new_address':
            tr.nextAll(':lt(1)').hide();
            tr.nextAll(':gt(0)').show();
            break;
    }
}

/**
 * Function for order steps icons manipulation
 */
function set_up_order_steps() {
    $('.step-icon').each(function() {
        if (!$(this).hasClass('disabled')) {
            var nextstep = $(this).next();
            nextstep.addClass('clickable');
            nextstep.click(function() {
                $(".nextstep").trigger('click');
            });
            return;
        }
    });
}

/**
 * Method to hide/show some elements in order step1 registration form
 */
function hide_user_reg_form() {
    var target = $(".chose_mode:checked");
    var tr = target.parents('tr');

    switch (target.val()) {
        case 'register':
            tr.nextAll(':gt(4)').show();
            break;
        case 'non_register':
            tr.nextAll(':gt(4)').hide();
            break;
    }
}

/**
 * Transfer goods params to detail box
 */
function show_price_param() {
    var param_value = $(this).val();
    var param_label = $(this).parent();

    var params_transfer = ['price', 'price-without-vat', 'price-normal-vat', 'code', 'price-price-default'];

    for (param in params_transfer) {
        var value = param_label.find('span.' + params_transfer[param]).text();
        $('div.data div.content span.' + params_transfer[param]).text(value);
    }

    $('div.image.default a img').attr('src', prices[param_value]['image_preview']);

    $('div.content .availability').text(prices[param_value]['availability_default']);
    $('.availability-count').text(prices[param_value]['availability']);
}
/**
 * The method hides the box producers, unless none selected
 */
function hide_producers_filter() {
    var hide = true;
    $("div.producer-box fieldset input").each(function() {
        if ($(this).get(0).checked) {
            hide = false;
            return;
        }
    });
    if (hide) {
        $("div.producer-box fieldset").toggleClass('closed');
        $("div.producer-box fieldset div").toggleClass('hidden');
    }
}
/**
 * Method to hide/show content "fieldset"
 */
function show_filter_form() {
    $(this).toggleClass('closed');
    $(this).parent('fieldset').find("div").toggleClass('hidden');
}
/**
 * Method used for switching tabs categories and producers
 */
function switch_category_tabs() {
    $(this).blur();
    if (!$(this).parents('div').hasClass('active')) {
        $("#category-tabs div.tab").each(function() {
            $(this).toggleClass('active');
            id = $(this).attr('id');
            $("#div-" + id).toggleClass('active');
        });
    }
    return false;
}

/***
 * Balik na postu (step2)
 */

// auto iframe height
// source: http://www.dyn-web.com/tutorials/iframes/height.php
function getDocHeight(doc) {
    doc = doc || document;
    // stackoverflow.com/questions/...
    var body = doc.body,
        html = doc.documentElement;
    var height = Math.max(body.scrollHeight, body.offsetHeight,
        html.clientHeight, html.scrollHeight, html.offsetHeight);
    return height;
}

// auto iframe height
// source: http://www.dyn-web.com/tutorials/iframes/height.php
function setIframeHeight(id) {
    var ifrm = document.getElementById(id);
    var doc = ifrm.contentDocument ? ifrm.contentDocument :
        ifrm.contentWindow.document;
    ifrm.style.visibility = 'hidden';
    ifrm.style.height = "160px"; // reset to minimal height ...
    ifrm.style.height = getDocHeight(doc) + "px";
    ifrm.style.visibility = 'visible';
}

function balikNaPostu() {
    if ($('#balik-na-postu')) {
        var psc = $('#balik-na-postu').contents().find('input[name=balik_na_postu_psc]').val();
        if (psc != 'undefined') {
            $('input#balik_na_postu').val(psc);
        }
    }
}
